#!/usr/bin/env bash
dir=$(dirname $(realpath $0))
export GO111MODULE=on
export GOPROXY=direct
export GOPATH=${dir}/buildenv/deps

mkdir -p ${dir}/buildenv
chmod -R 755 ${dir}/buildenv
rm -rf ${dir}/buildenv

mkdir -p "${dir}/buildenv/src"
mkdir -p ${GOPATH}/src
mkdir -p ${dir}/bin

cp -r "${dir}/main.go" "${dir}/buildenv/src/main.go"

cd ${dir}/buildenv

go mod init src
go mod tidy

package_name=$(ls ${dir}/buildenv/deps/pkg/mod/git.purser.it/roypur | tr -d "\n")
package_dir="${dir}/buildenv/deps/pkg/mod/git.purser.it/roypur/${package_name}"
chmod -R 777 ${package_dir}

rm ${package_dir}/*.go
cp $(dirname ${dir})/*.go ${package_dir}

go build -o "${dir}/bin/test" "src/main.go"
